package at.xaxa.ledger.ui.home

import androidx.compose.foundation.ExperimentalFoundationApi
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.lazy.LazyColumn
import androidx.compose.foundation.lazy.items
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import at.xaxa.ledger.ui.HeaderCard
import at.xaxa.ledger.ui.HorizontalCard

@OptIn(ExperimentalFoundationApi::class)
@Composable
fun Home(modifier: Modifier = Modifier, onCardClick: (Int) -> Unit) {


    Column(
        modifier = Modifier.fillMaxSize(),
        horizontalAlignment = Alignment.CenterHorizontally) {

        val items = (1..20).toList()
        LazyColumn() {
            stickyHeader {
                HeaderCard(modifier = modifier, "-13563.00€")
            }
            items(items) { index ->
                Column(
                    modifier = Modifier.padding(vertical = 4.dp) // Add vertical padding
                ) {
                    HorizontalCard(
                        modifier = modifier,
                        name = "McDonald's $index",
                        date = "12th Feb, 23:32",
                        amount = "-12.99",
                        onClick = { onCardClick(index) }
                    )
                }
            }
        }
    }
}