package at.xaxa.ledger.ui.home

import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import at.xaxa.ledger.data.Entry
import at.xaxa.ledger.data.EntryRepository
import kotlinx.coroutines.flow.SharingStarted
import kotlinx.coroutines.flow.map
import kotlinx.coroutines.flow.stateIn


data class EntryListUIState(val entry: List<Entry>)

class HomeViewModel(private val repository: EntryRepository): ViewModel() {
    val entryUIState = repository.getAllEntries()
        .map {EntryListUIState(it)}
        .stateIn(
            scope = viewModelScope,
            started = SharingStarted.WhileSubscribed(5000),
            initialValue = EntryListUIState(emptyList())
        )
}